// CGfxPlinth - [2020-04-13 11:57:46]
#ifndef _CGFXPLINTH_H_
#define _CGFXPLINTH_H_

#include "common.h"
#include "CFTTModel.h"
/*
0018F5A8 CGfxPlinth::Process()
0018F718 CGfxPlinth::Render()
0018F810 CGfxPlinth::Shutdown()
0018F83C CGfxPlinth::Init()
0018F914 CGfxPlinth::SetPos(TPoint3D *,int)
0018FA24 CGfxPlinth::SetActive(bool)
0018FA38 CGfxPlinth::GetActive()
*/

class CGfxPlinth {
public:
  static void Process();                // 0018F5A8
  static void Render();                 // 0018F718
  static void Shutdown();               // 0018F810
  void Init();                          // 0018F83C
  static void SetPos(TPoint3D *, int);  // 0018F914
  static void SetActive(bool);          // 0018FA24
  static bool GetActive();              // 0018FA38

  static bool ms_bActive;
  static CFTTModel *ms_pModel;
  static CFTTMatrix32 *ms_mMatrix;
};

#endif  //_CGFXPLINTH_H_